summaryrefslogtreecommitdiffstats
path: root/sbe
diff options
context:
space:
mode:
Diffstat (limited to 'sbe')
-rwxr-xr-xsbe/build/tools/sbeGitTool.pl2
-rwxr-xr-xsbe/test/citest/build-script3
-rwxr-xr-xsbe/test/citest/populate-sandbox3
3 files changed, 4 insertions, 4 deletions
diff --git a/sbe/build/tools/sbeGitTool.pl b/sbe/build/tools/sbeGitTool.pl
index aa7123fd..f0acd0c0 100755
--- a/sbe/build/tools/sbeGitTool.pl
+++ b/sbe/build/tools/sbeGitTool.pl
@@ -263,7 +263,7 @@ sub applyRefs
sub compileAndCopy
{
my $statusFile = $globals{sbe_git_root}."/compile.status";
- my $compile_path = $globals{sbe_git_root}."/sbe/image";
+ my $compile_path = $globals{sbe_git_root};
print "Compiling and copying the generated binaries to sandbox\n" if $debug;
open SBWORKON, " | ./sb workon";
diff --git a/sbe/test/citest/build-script b/sbe/test/citest/build-script
index 00ef83c6..8250ad08 100755
--- a/sbe/test/citest/build-script
+++ b/sbe/test/citest/build-script
@@ -7,6 +7,7 @@
# OpenPOWER sbe Project
#
# Contributors Listed Below - COPYRIGHT 2015,2016
+# [+] International Business Machines Corp.
#
#
# Licensed under the Apache License, Version 2.0 (the "License");
@@ -39,9 +40,7 @@ source "$SBEROOT/sbe/test/citest/setup-env"
# Build .
-cd sbe/image
scl enable devtoolset-2 " bash -c \"make install\"" || exit -1
-cd -
# Create simics sandbox.
create-sandbox > create-sandbox.log 2>&1 &
diff --git a/sbe/test/citest/populate-sandbox b/sbe/test/citest/populate-sandbox
index 91d646f0..7df47896 100755
--- a/sbe/test/citest/populate-sandbox
+++ b/sbe/test/citest/populate-sandbox
@@ -7,6 +7,7 @@
# OpenPOWER sbe Project
#
# Contributors Listed Below - COPYRIGHT 2015,2016
+# [+] International Business Machines Corp.
#
#
# Licensed under the Apache License, Version 2.0 (the "License");
@@ -56,5 +57,5 @@ execute_in_sandbox "cd $SBEFW_DIR; mk install_all" \
# Copy test files.
-cp $SBEROOT/sbe/test/* $SBETESTDIR/ || exit -1
+cp -r $SBEROOT/sbe/test/* $SBETESTDIR/ || exit -1
OpenPOWER on IntegriCloud